Bug 68750 - XConfigurator troubles with Cyrix MediaGX
Summary: XConfigurator troubles with Cyrix MediaGX
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-xfree86 (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-07-13 14:16 UTC by Telsa Gwynne
Modified: 2007-04-18 16:44 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-26 18:00:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Telsa Gwynne 2002-07-13 14:16:23 UTC
Milan beta3 on a Cyrix MediaGX with 96Mb RAM and 2Mb video RAM.

I have bugzilla'd the really nasty one separately. (#68749) This 
is a bunch of selection bugs for the MediaGX:

* Doesn't suggest MediaGX (this is technically MediaGXm, apparently,
but it should spot it. Anaconda does).
* Doesn't suggest the 2Mb video RAM it has. (Error: There was an
error detecting the video ram on your card.) Again, anaconda does.
* The error message above should be "RAM" not "ram" to be consistent.
* Still offers 16x1152x864 as a resolution. I don't think it can do it.
1024x768 is as good as you get.

I do understand this card is not a priority. I'm putting these together
so you don't get four separate reports on it but at least they're in. At
worst, they can be a checklist if anyone ever writes something new.

Comment 1 Mike A. Harris 2002-07-14 09:54:00 UTC
/me curses at Xconfigurator

;o)

Could you attach "lspci -vn" so I can compare it with the chip I have.
I might acquire another Cyrix soon too.  This one is a 200Mhz mobo,
and might be a bit easier to work with.

1152x864x16 would be icky (16 color), but would fit in VRAM.  If you meant
16bit, it should still fit just under 2Mb.  It would not leave much offscreen
RAM for pixmaps et al though.  I suspect Xconfigurator's parsing of the
log or whatever is screwy, giving the error.  This occurs with some other
hardware IIRC.

I'll probably gang all the MediaGX reports together in one fell swoop once
I get moving on them.

Thanks Telsa,
TTYL

Comment 2 Telsa Gwynne 2002-07-14 14:18:20 UTC
Here we go.

[hobbit@trouble hobbit]$ /sbin/lspci -vn
00:00.0 Class 0600: 1078:0001
        Flags: bus master, medium devsel, latency 0

00:08.0 Class 0200: 11ad:0002 (rev 20)
        Subsystem: 1385:f004
        Flags: bus master, medium devsel, latency 64, IRQ 10
        I/O ports at 6000 [size=256]
        Memory at e0000000 (32-bit, non-prefetchable) [size=256]
        Expansion ROM at <unassigned> [disabled] [size=256K]

00:12.0 Class 0601: 1078:0002
        Flags: bus master, medium devsel, latency 0
        I/O ports at 3000 [size=128]
        I/O ports at 4000 [size=32]
        I/O ports at 5000 [size=16]
        Memory at 40010000 (32-bit, non-prefetchable) [size=4K]

00:13.0 Class 0c03: 0e11:a0f8 (rev 04) (prog-if 10)
        Subsystem: 0e11:a0f8
        Flags: bus master, medium devsel, latency 64, IRQ 11
        Memory at e0001000 (32-bit, non-prefetchable) [size=4K]


Comment 3 Mike A. Harris 2003-01-24 07:13:20 UTC
Telsa...  Xconfigurator isn't part of 8.0.  ;o)

Reassigning to r-c-x

Comment 4 Brent Fox 2003-01-24 19:33:48 UTC
Can this be reproduced with Phoebe?

Comment 5 Brent Fox 2003-02-08 14:16:05 UTC
ping?

Comment 6 Telsa Gwynne 2003-02-08 14:22:36 UTC
I'm sorry. I don't have the Cyrix box at the moment to 
be able to reproduce this. Alan has it. Added him to Cc!




Comment 7 Brent Fox 2003-02-10 18:36:31 UTC
Putting in needinfo state.

Comment 8 Brent Fox 2003-02-26 18:00:35 UTC
Hmmm, ok.  Well, I'm going to close this bug now.  Please reopen if you have a
chance to test with a more recent version.


Note You need to log in before you can comment on or make changes to this bug.